Name:           deepin-image-editor
Version:        1.0.11
Release:        %autorelease
Summary:        A common library for deepin-image-viewer and deepin-album

License:        GPLv3+
URL:            https://github.com/linuxdeepin/image-editor
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# remove hard-coded flags
Patch0:         https://raw.githubusercontent.com/archlinux/svntogit-community/packages/deepin-image-editor/trunk/remove-broken-flags.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(dtkwidget)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  freeimage-devel
BuildRequires:  opencv-devel
BuildRequires:  qt5-linguist


%description
Image editor is a public library for deepin-image-viewer and deepin-album developed by Deepin Technology.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for %{name}.


%prep
%autosetup -p2 -n image-editor-%{version}
# no pkg-config for freeimage and Qt5LinguistTools in Fedora
sed -i 's/freeimage//; s/Qt5LinguistTools//' libimageviewer/libimageviewer.pc.in

%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README.md
%{_libdir}/libimageviewer.so.0.1*
%{_libdir}/libimagevisualresult.so.0.1*
%{_datadir}/libimageviewer/
%{_datadir}/libimagevisualresult/

%files devel
%{_libdir}/libimageviewer.so
%{_libdir}/libimagevisualresult.so
%{_includedir}/libimageviewer/
%{_includedir}/libimagevisualresult/
%{_libdir}/pkgconfig/libimageviewer.pc
%{_libdir}/pkgconfig/libimagevisualresult.pc


%changelog
%autochangelog
